libzypp 17.37.10

zypp::PackageKeyword Class Reference

Package keywords. More...

`#include <zypp/PackageKeyword.h>`

Inheritance diagram for zypp::PackageKeyword:

## Public Member Functions
| PackageKeyword ()
| Default ctor: empty keyword.
| PackageKeyword (sat::detail::IdType id_r)
| Ctor taking keyword as string.
| PackageKeyword (const IdString &idstr_r)
| PackageKeyword (const std::string &str_r)
| PackageKeyword (const char *cstr_r)
Public Member Functions inherited from zypp::IdStringType< PackageKeyword >
IdString | idStr () const
bool | empty () const
unsigned | size () const
const char * | c_str () const
std::string | asString () const
IdType | id () const
| operator bool () const
| Evaluate in a boolean context ( !
| operator IdString () const
| Explicit conversion to IdString.
| operator std::string () const
| Explicit conversion to std::string.

## Private Attributes
IdString | _str

## Friends
class | IdStringType< PackageKeyword >

## Additional Inherited Members
Public Types inherited from zypp::IdStringType< PackageKeyword >
using | IdType
Static Public Member Functions inherited from zypp::IdStringType< PackageKeyword >
static int | compare (const PackageKeyword &lhs, const PackageKeyword &rhs)
Protected Member Functions inherited from zypp::IdStringType< PackageKeyword >
| IdStringType ()=default
IdStringType & | operator= (const IdStringType &)=default
| ~IdStringType ()=default
Static Protected Member Functions inherited from zypp::sat::detail::PoolMember
static PoolImpl & | myPool ()
Related Symbols inherited from zypp::IdStringType< PackageKeyword >
std::ostream & | operator<< (std::ostream &str, const IdStringType< PackageKeyword > &obj)
| Stream output.
bool | operator== (const IdStringType< PackageKeyword > &lhs, const IdStringType< PackageKeyword > &rhs)
| Equal.
bool | operator!= (const IdStringType< PackageKeyword > &lhs, const IdStringType< PackageKeyword > &rhs)
| NotEqual.
bool | operator< (const IdStringType< PackageKeyword > &lhs, const IdStringType< PackageKeyword > &rhs)
| Less.
bool | operator<= (const IdStringType< PackageKeyword > &lhs, const IdStringType< PackageKeyword > &rhs)
| LessEqual.
bool | operator> (const IdStringType< PackageKeyword > &lhs, const IdStringType< PackageKeyword > &rhs)
| Greater.
bool | operator>= (const IdStringType< PackageKeyword > &lhs, const IdStringType< PackageKeyword > &rhs)
| GreaterEqual.

## Detailed Description

Package keywords.

See also
  IdStringType

Definition at line 28 of file PackageKeyword.h.

## Constructor & Destructor Documentation

## ◆ PackageKeyword() [1/5]

zypp::PackageKeyword::PackageKeyword | ( |  | ) |
| inline

Default ctor: empty keyword.

Definition at line 32 of file PackageKeyword.h.

## ◆ PackageKeyword() [2/5]

zypp::PackageKeyword::PackageKeyword | ( | sat::detail::IdType | id_r | ) |
| inline explicit

Ctor taking keyword as string.

Definition at line 35 of file PackageKeyword.h.

## ◆ PackageKeyword() [3/5]

zypp::PackageKeyword::PackageKeyword | ( | const IdString & | idstr_r | ) |
| inline explicit

Definition at line 36 of file PackageKeyword.h.

## ◆ PackageKeyword() [4/5]

zypp::PackageKeyword::PackageKeyword | ( | const std::string & | str_r | ) |
| inline explicit

Definition at line 37 of file PackageKeyword.h.

## ◆ PackageKeyword() [5/5]

zypp::PackageKeyword::PackageKeyword | ( | const char * | cstr_r | ) |
| inline explicit

Definition at line 38 of file PackageKeyword.h.

## Friends And Related Symbol Documentation

## ◆ IdStringType< PackageKeyword >

friend class IdStringType< PackageKeyword >
| friend

Definition at line 38 of file PackageKeyword.h.

## Member Data Documentation

## ◆ _str

IdString zypp::PackageKeyword::_str
| private

Definition at line 42 of file PackageKeyword.h.

The documentation for this class was generated from the following file:

- zypp/PackageKeyword.h